List items in a product
curl --request GET \
--url https://api.poelis.com/v1/public/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poelis.com/v1/public/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poelis.com/v1/public/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 1,
"items": [
{
"createdBy": {
"id": "auth0|550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "https://example.com/avatar.png",
"userName": "Jane Doe"
},
"deleted": false,
"id": "770e8400-e29b-41d4-a716-446655440000",
"name": "Compressor Stage 1",
"part_number": "CS1-001",
"product_id": "660e8400-e29b-41d4-a716-446655440000",
"readable_id": "compressor-stage-1"
}
]
}{
"error": "unauthorized",
"message": "Invalid or missing API key"
}{
"error": "forbidden",
"message": "Access denied"
}{
"error": "not_found",
"message": "Not found"
}{
"error": "validation_error",
"message": "Invalid data format",
"details": {
"errors": [
{
"loc": [
"body",
"field_name"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
}{
"error": "rate_limit_exceeded",
"message": "Too many requests"
}Items
List items in a product
Retrieve a paginated list of items within a specific product.
Overview
This endpoint returns items from a product, with support for pagination and filtering. Items are returned in a hierarchical structure, where each item can have a parent item.
Versioning
- Omit or null
version: returns draft items only. - Integer (e.g.
version=5): returns items as of that product version. baseline: returns items as of the product’s baseline version.
GET
/
v1
/
public
/
items
List items in a product
curl --request GET \
--url https://api.poelis.com/v1/public/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poelis.com/v1/public/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poelis.com/v1/public/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 1,
"items": [
{
"createdBy": {
"id": "auth0|550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "https://example.com/avatar.png",
"userName": "Jane Doe"
},
"deleted": false,
"id": "770e8400-e29b-41d4-a716-446655440000",
"name": "Compressor Stage 1",
"part_number": "CS1-001",
"product_id": "660e8400-e29b-41d4-a716-446655440000",
"readable_id": "compressor-stage-1"
}
]
}{
"error": "unauthorized",
"message": "Invalid or missing API key"
}{
"error": "forbidden",
"message": "Access denied"
}{
"error": "not_found",
"message": "Not found"
}{
"error": "validation_error",
"message": "Invalid data format",
"details": {
"errors": [
{
"loc": [
"body",
"field_name"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
}{
"error": "rate_limit_exceeded",
"message": "Too many requests"
}Authorizations
Enter your API key. Example: Bearer poelis_api_...
Query Parameters
The unique identifier (UUID) of the product to list items from
Example:
"550e8400-e29b-41d4-a716-446655440000"
Product version number (integer) or 'baseline'. Omit or null for draft items.
Example:
null
If true, includes soft-deleted items in the response. Defaults to false.
Example:
false
Maximum number of items to return per page. Must be between 1 and 200.
Required range:
1 <= x <= 200Number of items to skip from the beginning of the result set. Used for pagination.
Required range:
x >= 0